flexbar 3.50 installation error
1
0
Entering edit mode
16 months ago
Shashi Kanth ▴ 10

Can Anyone please help us to resolve this Flexbar latest version installation issue i have posted it in flexbar github page but there is no response.

We have followed commands mentioned in manuel

tar xzf flexbar-3.5.0.tar.gz
tar xJf seqan-library-2.4.0.tar.xz
mv seqan-library-2.4.0/include flexbar-3.5.0

cd flexbar-3.5.0
cmake .
make

but it shows error at make command

**ngc-bioinfo@ngc-bioinfo:~/Downloads/flexbar-3.5.0$ make**
[ 50%] Building CXX object src/CMakeFiles/flexbar.dir/Flexbar.cpp.o
In file included from /home/ngc-bioinfo/Downloads/flexbar-3.5.0/src/Flexbar.cpp:24:0:
/home/ngc-bioinfo/Downloads/flexbar-3.5.0/src/Flexbar.h:15:10: fatal error: tbb/pipeline.h: No such file or directory
include
^~~~~~~~~~~~~~~~
compilation terminated.
src/CMakeFiles/flexbar.dir/build.make:62: recipe for target 'src/CMakeFiles/flexbar.dir/Flexbar.cpp.o' failed
make[2]: *** [src/CMakeFiles/flexbar.dir/Flexbar.cpp.o] Error 1
CMakeFiles/Makefile2:85: recipe for target 'src/CMakeFiles/flexbar.dir/all' failed
make[1]: *** [src/CMakeFiles/flexbar.dir/all] Error 2
Makefile:83: recipe for target 'all' failed
make: *** [all] Error 2

we cant install latest version in other way via sudo apt install flexbar if you can please help me to resolve this

Thank you

flexbar flexbar3.50 • 774 views
ADD COMMENT
1
Entering edit mode

Have you tried bioconda? conda install -c bioconda flexbar

ADD REPLY
0
Entering edit mode

Hi sir

Thanks for replying

i have tried

conda install -c bioconda flexbar

but it shows below error

Collecting package metadata (current_repodata.json): done
Solving environment: failed with initial frozen solve. Retrying with flexible solve.
Solving environment: failed with repodata from current_repodata.json, will retry with next repodata source.
Collecting package metadata (repodata.json): done
Solving environment: failed with initial frozen solve. Retrying with flexible solve.
Solving environment: - 
Found conflicts! Looking for incompatible packages.
This can take several minutes.  Press CTRL-C to abort.
failed                                                                                                                                         

UnsatisfiableError: The following specifications were found to be incompatible with each other:

Output in format: Requested package -> Available versions

Package libstdcxx-ng conflicts for:
flexbar -> libgcc -> libstdcxx-ng[version='>=7.2.0']
python=3.7 -> libstdcxx-ng[version='>=7.2.0|>=7.3.0']
flexbar -> libstdcxx-ng[version='>=4.9|>=7.3.0']
ADD REPLY
1
Entering edit mode

Use the channel order recommended by bioconda:

conda config --add channels defaults
conda config --add channels bioconda
conda config --add channels conda-forge

Then try:

conda create -n flexbar
conda activate flexbar
ADD REPLY
0
Entering edit mode

Dear sir,

Thank you so much for your suggestion

The issue is resolved and i can able to install 3.50 version via conda

Thank you

ADD REPLY
0
Entering edit mode
16 months ago
h.mon 33k

What is your operating system? Flexbar provides binary downloads (meaning, no need for compilation) for both Linux and Macs:

https://github.com/seqan/flexbar/releases/download/v3.5.0/flexbar-3.5.0-linux.tar.gz

https://github.com/seqan/flexbar/releases/download/v3.5.0/flexbar-3.5.0-macos.tar.gz

ADD COMMENT

Login before adding your answer.

Traffic: 2003 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6